Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 2480303002: CSP3: Implement 'worker-src'. (Closed)

Created:
2 years, 8 months ago by Mike West
Modified:
2 years, 8 months ago
CC:
blink-reviews, chromium-reviews, gavinp+loader_chromium.org, Nate Chapin, loading-reviews_chromium.org, tyoshino+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

CSP3: Implement 'worker-src'. As a drive-by, this also renames `allowChildFrameFromSource` to `allowFrameFromSource`, and `allowChildContextFromSource` to `allowWorkerFromSource` to reflect their usage. Intent to Ship: https://groups.google.com/a/chromium.org/d/msg/blink-dev/1UkZE-vOROc/gEj7psewAAAJ BUG=662930 Committed: https://crrev.com/586705638164b07863229f70fba19fa2571b48af Cr-Commit-Position: refs/heads/master@{#431228}

Patch Set 1 #

Patch Set 2 : tests #

Patch Set 3 : ServiceWorker #

Total comments: 8

Patch Set 4 : feedback #

Unified diffs Side-by-side diffs Delta from patch set Stats (+406 lines, -35 lines) Patch
M third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/1.1/child-src/worker-blocked-expected.txt View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/1.1/child-src/worker-shared-blocked-expected.txt View 1 1 chunk +1 line, -1 line 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/resources/ping.js View 1 2 3 1 chunk +12 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/resources/testharness-helper.js View 1 2 3 1 chunk +131 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/service-worker-blocked-expected.txt View 1 1 chunk +1 line, -1 line 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/worker-src/dedicated-child.html View 1 2 3 1 chunk +13 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/worker-src/dedicated-fallback.html View 1 2 3 1 chunk +13 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/worker-src/dedicated-list.html View 1 chunk +13 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/worker-src/dedicated-none.html View 1 2 3 1 chunk +13 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/worker-src/dedicated-self.html View 1 chunk +9 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/worker-src/service-child.html View 1 2 3 1 chunk +10 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/worker-src/service-fallback.html View 1 2 3 1 chunk +9 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/worker-src/service-list.html View 1 2 1 chunk +9 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/worker-src/service-none.html View 1 2 1 chunk +9 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/worker-src/service-self.html View 1 2 1 chunk +9 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/worker-src/shared-child.html View 1 2 3 1 chunk +13 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/worker-src/shared-fallback.html View 1 2 3 1 chunk +13 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/worker-src/shared-list.html View 1 chunk +13 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/worker-src/shared-none.html View 1 chunk +13 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/worker-src/shared-self.html View 1 chunk +10 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/frame/csp/CSPDirectiveList.h View 3 chunks +7 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/core/frame/csp/CSPDirectiveList.cpp View 1 2 3 5 chunks +25 lines, -11 lines 0 comments Download
M third_party/WebKit/Source/core/frame/csp/CSPDirectiveListTest.cpp View 1 chunk +44 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/frame/csp/ContentSecurityPolicy.h View 2 chunks +5 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/core/frame/csp/ContentSecurityPolicy.cpp View 6 chunks +8 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/core/loader/FrameLoader.cpp View 1 2 3 1 chunk +2 lines, -2 lines 0 comments Download

Messages

Total messages: 25 (17 generated)
Mike West
Looping in reviewers while folks review the Intent to Implement and Ship at https://groups.google.com/a/chromium.org/d/msg/blink-dev/1UkZE-vOROc/gEj7psewAAAJ foolip@: ...
2 years, 8 months ago (2016-11-08 12:07:50 UTC) #12
estark
Sorry Mike, I didn't quite get to this today and now I can't really process ...
2 years, 8 months ago (2016-11-09 06:16:32 UTC) #16
Mike West
> Sorry Mike, I didn't quite get to this today and now I can't really ...
2 years, 8 months ago (2016-11-09 08:37:21 UTC) #17
foolip
A sad time, hang in there everyone. tests lgtm % possible nit https://codereview.chromium.org/2480303002/diff/40001/third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/resources/ping.js File third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/resources/ping.js ...
2 years, 8 months ago (2016-11-09 16:17:52 UTC) #18
estark
LGTM with a few nits. Also, maybe you could add a test case for when ...
2 years, 8 months ago (2016-11-09 16:48:05 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2480303002/60001
2 years, 8 months ago (2016-11-10 08:21:13 UTC) #22
commit-bot: I haz the power
Committed patchset #4 (id:60001)
2 years, 8 months ago (2016-11-10 10:06:51 UTC) #23
commit-bot: I haz the power
2 years, 8 months ago (2016-11-10 10:08:56 UTC) #25
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/586705638164b07863229f70fba19fa2571b48af
Cr-Commit-Position: refs/heads/master@{#431228}

Powered by Google App Engine
This is Rietveld 408576698